#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for(int i = 0; i < t; i++)
    {
        int n, m, k;
        cin >> n >> m >> k;
        int mini = 0;
        int x = n % k;
        int c = 0;
        for(int j = 1; j <= n/k; j++)
        {
            c = j;
            mini += k * c;
        }
        mini += x * (c + 1);
        if(m >= mini)
        {
            cout << "Tak";
        }
        else
        {
            cout << "Nie";
        }
    }
}